version: 25.4.2
files:
  - url: Trezor-Suite-25.4.2-win-x64.exe
    sha512: ml3CcV1dsCBfVJiBXhJQ+8/osqbkzHT1gwktVjiiYfvqMTIywTGeO4xwWn2Xh1iqvfDB2xlDkKcftHXxV1bjFQ==
    size: 141538136
path: Trezor-Suite-25.4.2-win-x64.exe
sha512: ml3CcV1dsCBfVJiBXhJQ+8/osqbkzHT1gwktVjiiYfvqMTIywTGeO4xwWn2Xh1iqvfDB2xlDkKcftHXxV1bjFQ==
releaseNotes: |
  ### 🚀 New features

  -   [EVM priority fees](https://trezor.io/learn/a/transaction-fees-in-trezor-suite) are now available on all EVM chains except BSC. This allows users to speed up transactions by adding a “tip” (priority fee) to incentivize validators.

  ### 🎨 Improvements

  -   The updated color palette enhances brand alignment and improves contrast for better visual clarity.
  -   The app now opens significantly faster in View-only mode, allowing users to navigate immediately while content continues loading in the background.
  -   Users can now filter out suspicious transactions on networks that support detection, improving security and transparency.
  -   The DCA page has been enhanced with updated visuals and content, along with an option to display the withdrawal address for easy and quick scanning into the Invity App.

  ### 🔧 Bug fixes

  -   Fixed minor bugs, improved usability, and optimized performance for a smoother experience.
releaseDate: '2025-04-11T15:02:28.568Z'
stagingPercentage: 20
